Bug 2378 - USR1 should be used instead of HUP for log rotation
USR1 should be used instead of HUP for log rotation
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: apache (Show other bugs)
1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
http://www.apacheweek.com/tips/tips
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-26 18:55 EDT by Jay Freeman
Modified: 2015-10-07 02:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-04 06:04:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Freeman 1999-04-26 18:55:41 EDT
I was just readinga tip entitled "Rotating log files without
killing the transactions in progress" in apache week, and
was interested to read:

"Sending the parent Apache process a USR1 signal will make
it close the current log files, and re-open them, without
loosing any connections currently in progress. This should
be used instead of a HUP signal in any log rotation script."
(more information on the page this was taken from at
http://www.apacheweek.com/tips/tips)

I decided to go and see what I was currently using (and if
HUP, change it to USR1, add a script or something, etc.),
and noticed that the /etc/logrotate.d/apache file that comes
with rawhide was using HUP.  Might be nice if this were
changed (would probably involve a more complex system though
for the log rotation for the server though as mentioned in
the tip).
Comment 1 Cristian Gafton 1999-07-28 03:22:59 EDT
assigned to pbrown
Comment 2 Preston Brown 1999-08-27 11:11:59 EDT
this will be fixed in the next release (6.1).  Thanks for the report.
Comment 3 Pekka Savola 2000-11-04 06:03:13 EST
In RHL 7.0, HUP is used instead of USR1.

---
/var/log/httpd/access_log {
    missingok
    postrotate
        /bin/kill -HUP `cat /var/run/httpd.pid 2>/dev/null` 2> /dev/null || true
    endscript
}
---
Comment 4 Nalin Dahyabhai 2001-01-11 17:34:30 EST
Documentation at the Apache Group web site states that USR1 doesn't close child
processes, so there may be processes using the log files for an unknown amount
of time after the signal is delivered, which can lead to inconsistencies and
weirdness.
Comment 5 openshift-github-bot 2015-10-07 02:58:47 EDT
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/3ad2bce93189ff38474b5e644497a75f4bf1f944
Issue 2378 - Show TLS information for routes, create routes and routes/routename pages

Note You need to log in before you can comment on or make changes to this bug.